Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy
Class ModuleRevisionId

    java.lang.Object
      fr.jayasoft.ivy.ModuleRevisionId

public class ModuleRevisionId
extends java.lang.Object

Author:
  x.hanin

Constructor Summary
`ModuleRevisionId(ModuleId moduleId, java.lang.String revision)`

Method Summary
`int` | `_hashCode()`
`boolean` | `acceptRevision(java.lang.String revision)` Returns true if the given revision can be considered as a revision of this module revision id.
`static boolean` | `acceptRevision(java.lang.String askedRevision, java.lang.String revision)`
`static ModuleRevisionId` | `decode(java.lang.String encoded)`
`java.lang.String` | `encodeToString()`
`boolean` | `equals(java.lang.Object obj)`
`ModuleId` | `getModuleId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOrganisation()`
`java.lang.String` | `getRevision()`
`int` | `hashCode()`
`boolean` | `isExactRevision()`
`static boolean` | `isExactRevision(java.lang.String revision)`
`static ModuleRevisionId` | `newInstance(java.lang.String organisation, java.lang.String name, java.lang.String revision)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModuleRevisionId

    public ModuleRevisionId(ModuleId moduleId,
                            java.lang.String revision)

Method Detail

### newInstance

    public static ModuleRevisionId newInstance(java.lang.String organisation,
                                               java.lang.String name,
                                               java.lang.String revision)

### getModuleId

    public ModuleId getModuleId()

### getName

    public java.lang.String getName()

### getOrganisation

    public java.lang.String getOrganisation()

### getRevision

    public java.lang.String getRevision()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### _hashCode

    public int _hashCode()

### toString

    public java.lang.String toString()

### acceptRevision

    public boolean acceptRevision(java.lang.String revision)

  Returns true if the given revision can be considered as a revision of this module revision id. This is the case if the revision is equal to the current revision, or if the current revision is a 'latest.' one, or if it is a xx+ one matching the given one.

  Parameters:
    `revision` -
  Returns:
    true if the given revision can be considered as a revision of this module revision id.

### isExactRevision

    public boolean isExactRevision()

  Returns:
    true if the revision is an exact one, i.e. not a 'latest.' nor a xx+ one.

### acceptRevision

    public static boolean acceptRevision(java.lang.String askedRevision,
                                         java.lang.String revision)

### isExactRevision

    public static boolean isExactRevision(java.lang.String revision)

  Returns:
    true if the revision is an exact one, i.e. not a 'latest.' nor a xx+ one.

### encodeToString

    public java.lang.String encodeToString()

### decode

    public static ModuleRevisionId decode(java.lang.String encoded)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD